Bug 201681 - [PATCH] [mips] print/harfbuzz: fails to build on mips
Summary: [PATCH] [mips] print/harfbuzz: fails to build on mips
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on: 201683
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-18 21:28 UTC by Carlos J Puga Medina
Modified: 2015-11-09 16:07 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
build log on 11mips32 (24.11 KB, text/x-log)
2015-07-18 21:28 UTC, Carlos J Puga Medina
no flags Details
harfbuzz-fix-mips.diff (1.89 KB, patch)
2015-07-18 21:39 UTC, Carlos J Puga Medina
no flags Details | Diff
success build log on 11mips32 (38.88 KB, text/x-log)
2015-07-19 00:36 UTC, Carlos J Puga Medina
no flags Details
harfbuzz-fix-mips.diff (1.27 KB, patch)
2015-08-03 23:36 UTC, Carlos J Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-07-18 21:28:51 UTC
Created attachment 158950 [details]
build log on 11mips32
Comment 1 Carlos J Puga Medina 2015-07-18 21:34:29 UTC
Also, I saw this problem building cairo port.

ref: https://lists.freebsd.org/pipermail/freebsd-gnome/2015-June/032410.html

We can handled this error disabling atomic support.
Comment 2 Carlos J Puga Medina 2015-07-18 21:39:26 UTC
Created attachment 158951 [details]
harfbuzz-fix-mips.diff

As a workaround, I used this patch to skip the above error.
Comment 3 Carlos J Puga Medina 2015-07-19 00:36:47 UTC
Created attachment 158958 [details]
success build log on 11mips32
Comment 4 Carlos J Puga Medina 2015-08-03 23:36:49 UTC
Created attachment 159508 [details]
harfbuzz-fix-mips.diff

The following patch fixes build with atomic_ops on mips.
Comment 5 commit-hook freebsd_committer 2015-08-13 08:57:22 UTC
A commit references this bug:

Author: kwm
Date: Thu Aug 13 08:57:11 UTC 2015
New revision: 394056
URL: https://svnweb.freebsd.org/changeset/ports/394056

Log:
  Update harfbuzz to 1.0.1. [1]

  Fix build on mips. [2]

  PR:		202176 [1], 201681  [2]
  Submitted by:	olivierd@ [1], Carlos J Puga Medina <cpm@fbsd.es> [2]

Changes:
  head/print/harfbuzz/Makefile
  head/print/harfbuzz/distinfo
  head/print/harfbuzz/files/patch-src_hb-atomic-private.hh
Comment 6 Koop Mast freebsd_committer 2015-11-09 16:07:35 UTC
Fix committed back in august.